PARROT-NQP(1)

NAME
parrot-nqp - Not Quite Perl (6)

SYNOPSIS
parrot-nqp <file>

DESCRIPTION
This is "Not Quite Perl (6)" -- a High Level Language (HLL) which allows one to write Perl6-like code. The key feature of NQP is that it's designed to be an easy-to-parse subset of Perl 6. It is geared towards being a high-level way to create transformers for Parrot (especially HLL compilers). It is based on PCT::HLLCompiler.

NQP is used as a bootstrapping language in for Rakudo, and hence developed outside of the main Parrot git repository. It is occasionally snapshotted into the main Parrot codebase so it can be bundled with Parrot releases and be used by core Parrot developers as well as HLL developers.

  Command Line Usage
For help use :

    -h
    --help

To show version use :

    -v
    --version

To display the parse tree for regular expression use :

    --target=parse

To dispaly the PIR subroutine gererated to match the regular expression use :

    --target=pir

For dumper use :

    --dumper=s

To trace use :

    -t=s
    --trace=s

For encoding use :

    --encoding=s

To combine use :

    --combine

For stage stats use :

    --stagestats

For backtrace use :

    --ll-backtrace

For output use :

    -o=s
    --output=s

HELP
For more help or any other question you go to <http://parrot.org> or <http://github.com/parrot/parrot>.Or you can send email to 'parrot-dev@parrot.org'. You are also invited to join the #parrot IRC channel on irc.parrot.org.